// e02_rgb_split.cpp: split color image
#include "opencv\cv.hpp"
#include <iostream>

using namespace cv;
using namespace std;

int main(int argc, char* argv[])
{
	// Objects
	Mat color_img;
	// Load image from disk
	color_img = imread("mandril_c.jpg", CV_LOAD_IMAGE_COLOR);
	if (!color_img.data){
		cout << "error loading image" << endl;
		return 1;
	}
	imshow("color_BGR", color_img);	
	// change from bgr to rgb
	cvtColor(color_img, color_img, CV_BGR2RGB);
	
	// Split color image. Required containers
	Mat r_channel(color_img.size(), CV_8UC1);
	Mat g_channel(color_img.size(), CV_8UC1);
	Mat b_channel(color_img.size(), CV_8UC1);
	Mat array_channels[] = { r_channel, g_channel, b_channel };
	split(color_img, array_channels);
	// Create window canvas to show image
	namedWindow("R", CV_WINDOW_AUTOSIZE);
	namedWindow("G", CV_WINDOW_AUTOSIZE);
	namedWindow("B", CV_WINDOW_AUTOSIZE);
	// Show image in the name of the window
	imshow("color_RGB", color_img);	
	imshow("R", r_channel);
	imshow("G", g_channel);
	imshow("B", b_channel);
	// Function for show the image in ms.
	waitKey(0);
	// Free memory
	destroyAllWindows();
	// End of the program
	return 0;
}

